'' 
'' このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
'' © MESCIUS inc. All rights reserved.
'' 
Imports System.IO
Imports System.Drawing
Imports GrapeCity.Documents.Pdf
Imports GrapeCity.Documents.Text
Imports GrapeCity.Documents.Pdf.Security

'' このサンプルでは、PDF に制限を設定する方法を説明します。
'' 例えば、ドキュメントのコンテンツを印刷またはコピーする機能を制限します。
Public Class DocumentRestrictions
    Function CreatePDF(ByVal stream As Stream) As Integer
        '' 新規 PDF ドキュメントを作成します。
        Dim doc = New GcPdfDocument()
        Util.AddNote("このドキュメントには以下の制限があります。" + vbLf +
            "  - 印刷はできません。" + vbLf +
            "  - コンテンツのコピーはできません。" + vbLf +
            "  - ドキュメントの編集はできません。", doc.NewPage())

        '' Rev4のセキュリティハンドラを作成し、いくつかの制限事項を指定します。
        Dim ssh4 = New StandardSecurityHandlerRev4() With
        {
            .PrintingPermissions = PrintingPermissions.Disabled,
            .CopyContent = False,
            .EditingPermissions = EditingPermissions.Disabled
        }

        '' 作成したハンドラをドキュメントに割り当てて、PDFを保存する際に使用するようにします。
        doc.Security.EncryptHandler = ssh4

        '' PDF ドキュメントを保存します。
        doc.Save(stream)
        Return doc.Pages.Count
    End Function
End Class
